"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchReceitaWsServicePaid = void 0;
var _axios = _interopRequireDefault(require("axios"));
var _dotenv = _interopRequireDefault(require("dotenv"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* eslint-disable @typescript-eslint/no-explicit-any */

_dotenv.default.config();
class SearchReceitaWsServicePaid {
  async execute(cnpj) {
    const tokenWS = process.env.TOKEN_WS;
    let jsonReturn;
    await _axios.default.get(`https://receitaws.com.br/v1/cnpj/${cnpj}/days/7`, {
      headers: {
        'Accept-Encoding': 'gzip,deflate,compress',
        Authorization: `Bearer ${tokenWS}`
      }
    }).then(async response => {
      const {
        fantasia,
        complemento,
        nome,
        telefone,
        email,
        atividadesSecundarias,
        atividadePrincipal,
        qsa,
        situacao,
        bairro,
        logradouro,
        numero,
        cep,
        municipio,
        porte,
        naturezaJuridica,
        uf,
        cnpj,
        ultimaAtualizacao,
        status,
        efr,
        motivoSituacao,
        situacaoEspecial,
        capitalSocial,
        tipo,
        abertura
      } = response.data;
      jsonReturn = {
        fantasia,
        complemento,
        nome,
        telefone,
        email,
        atividadesSecundarias,
        atividadePrincipal,
        qsa,
        situacao,
        bairro,
        logradouro,
        numero,
        cep,
        municipio,
        porte,
        naturezaJuridica,
        uf,
        cnpj,
        ultimaAtualizacao,
        status,
        efr,
        motivoSituacao,
        situacaoEspecial,
        capitalSocial,
        tipo,
        abertura
      };
    }).catch(e => {
      jsonReturn = {
        statusCode: e.status,
        message: e.message
      };
    });
    return jsonReturn;
  }
}
exports.SearchReceitaWsServicePaid = SearchReceitaWsServicePaid;