"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AppDataSource = void 0;
var _typeorm = require("typeorm");
require("reflect-metadata");
var _dotenv = _interopRequireDefault(require("dotenv"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/* eslint-disable n/no-path-concat */

_dotenv.default.config();
const AppDataSource = new _typeorm.DataSource({
  type: 'mssql',
  host: process.env.SERVERS + '',
  username: process.env.USER_NAMES + '',
  password: process.env.PASSWORDS + '',
  database: process.env.DATABASE + '',
  synchronize: true,
  logging: false,
  extra: {
    encrypt: false,
    trustServerCertificate: false
  },
  entities: [__dirname + '/entities/*.{js,ts}'],
  migrations: [__dirname + '/migrations/*.{js,ts}']
});
exports.AppDataSource = AppDataSource;